Loading...
Searching...
No Matches
juce::MixerAudioSource Class Reference

## Detailed Description

An AudioSource that mixes together the output of a set of other AudioSources.

Input sources can be added and removed while the mixer is running as long as their prepareToPlay() and releaseResources() methods are called before and after adding them to the mixer.

The documentation for this class was generated from the following file:

- juce_audio_basics/sources/juce_MixerAudioSource.h

Inheritance diagram for juce::MixerAudioSource:

## Public Member Functions

| MixerAudioSource ()
| Creates a MixerAudioSource.
| ~MixerAudioSource () override
| Destructor.
void | addInputSource (AudioSource *newInput, bool deleteWhenRemoved)
| Adds an input source to the mixer.
void | removeInputSource (AudioSource *input)
| Removes an input source.
void | removeAllInputs ()
| Removes all the input sources.
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Implementation of the AudioSource method.
void | releaseResources () override
| Implementation of the AudioSource method.
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
| Implementation of the AudioSource method.
Public Member Functions inherited from juce::AudioSource
virtual | ~AudioSource ()=default
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from juce::AudioSource
| AudioSource ()=default
| Creates an AudioSource.

## Constructors and Destructors

## MixerAudioSource()

juce::MixerAudioSource::MixerAudioSource | ( |  | ) |

Creates a MixerAudioSource.

Referenced by getNextAudioBlock().

## ~MixerAudioSource()

juce::MixerAudioSource::~MixerAudioSource | ( |  | ) |

override

Destructor.

## Member Functions

## addInputSource()

void juce::MixerAudioSource::addInputSource | ( | AudioSource * | newInput,
|  | bool | deleteWhenRemoved )

Adds an input source to the mixer.

If the mixer is running you'll need to make sure that the input source is ready to play by calling its prepareToPlay() method before adding it. If the mixer is stopped, then its input sources will be automatically prepared when the mixer's prepareToPlay() method is called.

Parameters

  newInput | the source to add to the mixer
  deleteWhenRemoved | if true, then this source will be deleted when no longer needed by the mixer.

References juce::AudioSource::AudioSource().

## removeInputSource()

void juce::MixerAudioSource::removeInputSource | ( | AudioSource * | input | ) |

Removes an input source.

If the source was added by calling addInputSource() with the deleteWhenRemoved flag set, it will be deleted by this method.

References juce::AudioSource::AudioSource().

## removeAllInputs()

void juce::MixerAudioSource::removeAllInputs | ( |  | ) |

Removes all the input sources.

Any sources which were added by calling addInputSource() with the deleteWhenRemoved flag set will be deleted by this method.

## prepareToPlay()

void juce::MixerAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )

override virtual

Implementation of the AudioSource method.

This will call prepareToPlay() on all its input sources.

Implements juce::AudioSource.

## releaseResources()

void juce::MixerAudioSource::releaseResources | ( |  | ) |

override virtual

Implementation of the AudioSource method.

This will call releaseResources() on all its input sources.

Implements juce::AudioSource.

## getNextAudioBlock()

void juce::MixerAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & |  | ) |

override virtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

References MixerAudioSource().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited